API DocumentationBackups
Backups dashboard summary
Aggregated backup counts (for the UI dashboard display).
Authorization
bearer_auth AuthorizationBearer <token>
Authentication
Create an API token on Profile. Send it in the Authorization header:
Authorization: Bearer os1_...Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.
In: header
Query Parameters
project_id*string
ID of the project used to filter results.
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/backups-dashboard-info?project_id=default"{ "total_backups": 12, "successful_backups": 10, "failed_backups": 1, "backups_in_progress": 1}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized. Send POST /v1/init, then retry the request." } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}